SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004539SOGoBackend Calendarpublic2018-09-13 09:342019-01-15 22:45
Reporterrhertel 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0.2 
Target VersionFixed in Version4.0.6 
Summary0004539: 'Show time as free' time conflict warning
DescriptionA time conflict warning is shown, if inviting an attendee who has already an appointment
with 'Show time as free'. I'm not sure if this is really a bug or if it's the wanted
behavior. Nevertheless it is a little bit confusing for the user, because the participant
seems to be free in that time slot.
Steps To ReproduceUser A:
  - create an appointment with 'Show time as free' selected

User B:
  - invite User A to this appointment -> time conflict warning is shown
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013219)
rhertel (reporter)
2018-12-10 05:47

It seems that this behavior is back again in version 4.0.4.
Can anybody confirm this?
(0013222)
sascha.kasch@sumcumo.com (reporter)
2018-12-13 05:57
edited on: 2018-12-13 05:58

Can confirm regression, freebusy does not show a user being blocked as the user ticked "show time as free" but when inviting that user, a warning dialog is raised.

SOGo 4.0.4 Stable


- Related Changesets
sogo: master 398ef4dc
Timestamp: 2018-09-13 15:56:31
Author: francis
Details ] Diff ]
Fix time conflict validation

Fixes 0004539
mod - NEWS Diff ] File ]
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff ] File ]
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff ] File ]
sogo: master 24a30b68
Timestamp: 2019-01-15 17:11:27
Author: francis
Details ] Diff ]
Ignore transparent events in conflict validation

Fixes 0004539
mod - NEWS Diff ] File ]
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-13 09:34 rhertel New Issue
2018-09-13 15:56 francis Changeset attached => sogo master 398ef4dc
2018-09-13 15:56 francis Assigned To => francis
2018-09-13 15:56 francis Resolution open => fixed
2018-09-13 15:57 francis Status new => resolved
2018-09-13 15:57 francis Fixed in Version => 4.0.3
2018-12-10 05:47 rhertel Note Added: 0013219
2018-12-10 05:47 rhertel Status resolved => feedback
2018-12-10 05:47 rhertel Resolution fixed => reopened
2018-12-13 05:57 sascha.kasch@sumcumo.com Note Added: 0013222
2018-12-13 05:58 sascha.kasch@sumcumo.com Note Edited: 0013222 View Revisions
2019-01-15 21:28 francis Changeset attached => sogo master 24a30b68
2019-01-15 22:45 francis Status feedback => resolved
2019-01-15 22:45 francis Fixed in Version 4.0.3 => 4.0.6
2019-01-15 22:45 francis Resolution reopened => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker